> For the complete documentation index, see [llms.txt](https://developer.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.mediarithmics.io/advanced-usages/platform-monitoring/usage-reports/dimensions-and-metrics.md).

# Dimensions and metrics

## Dimensions

The following dimensions can be requested in reports

<table><thead><tr><th width="245.66666666666666">Name</th><th>Title</th><th>Description</th></tr></thead><tbody><tr><td><code>community_id</code></td><td>Community ID</td><td>The community on which the datamart is linked.</td></tr><tr><td><code>date_time</code></td><td>Date Time</td><td><p>The date and time of the datamart collection size computation in timestamp format. </p><p></p><p>Use it to know exactly when the collection volume was calculated.</p></td></tr><tr><td><code>execution_id</code></td><td>Execution ID</td><td>A resource is composed of n execution. </td></tr><tr><td><code>organisation_id</code></td><td>Organisation ID</td><td>The organisation on which the datamart is linked.</td></tr><tr><td><code>resource_id</code></td><td>Resource ID</td><td>The resource leading to write or read operations on mediarithmics platform.</td></tr><tr><td><code>source</code></td><td>Source</td><td><p>The feature tracked by the consumption monitoring system.</p><p>(E.g. : Segment computation, export ...) </p></td></tr><tr><td><code>sub_source</code></td><td>Sub Source</td><td>Contextual informations about the source.<br>(E.g. :  INSERT_PHASE for segment computation source) </td></tr></tbody></table>

## Metrics

The following metrics can be displayed in reports.

| Name             | Title          | Description                                                                                                                                                                                                                                                                                                                                                                                      |
| ---------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `read_count`     | Read count     | <p>The number of top level selectors of an OTQL / GraphQL query.</p><p></p><p>The id selector of the queried object is excluded.</p><p><br>For example, the read count of the query <code>SELECT { id activity\_events { id } activities { id } } FROM UserPoint</code> will be equal to 2 as there is two top level selectors (<code>activity\_events</code> and <code>activities</code> ).</p> |
| `read_size`      | Read size      | The number of elements queried from our database due to selection operators.                                                                                                                                                                                                                                                                                                                     |
| `scan_size`      | Scan size      | The number of elements queried from our database to apply the filters of a query (WHERE part).                                                                                                                                                                                                                                                                                                   |
| `scan_duration`  | Scan duration  | The time spent applying filters on a query (WHERE part).                                                                                                                                                                                                                                                                                                                                         |
| `computing_unit` | Computing unit | The credits used to run a query.                                                                                                                                                                                                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.mediarithmics.io/advanced-usages/platform-monitoring/usage-reports/dimensions-and-metrics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
